APIPricing

List seat assignments

List seat assignments for the org. Seats are low-cardinality, so this returns the full set unpaginated.

GET
/seat-assignments

List seat assignments for the org. Seats are low-cardinality, so this returns the full set unpaginated.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_seat_pricing

Response Body

The request has succeeded.

application/json
  1. response
[index: integer]?

A user's (or the org default's) assignment to a provider subscription plan.

Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/seat-assignments'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",    "provider": "claude",    "plan": "string",    "effective_from": "2019-08-24T14:15:22Z",    "effective_to": "2019-08-24T14:15:22Z"  }]